<div class="footer"> <!-- across the page -->
  <div> <!-- content width -->
    <hr />

    <div id="footerBox">
      <div class="content" style="left: 0px">

        <a href="https://7dub.dev">
          Link to this website.
          <img src="/logo.svg" alt="logo" id="footerLogo" />
        </a>

        <div>Matyáš Sedmidubský</div>

      </div>
      <div class="content" style="right: 0px">

        <a href="mailto:matyas@7dub.dev">
          <svg viewBox="0 0 80 80" xmlns="http://www.w3.org/2000/svg" class="icon biggerIcon">
            <path d="M16 22C14.6804 22 13.51 22.639 12.7815 23.6244C13.0832 23.7236 13.3709 23.8822 13.6271 24.1017L36.4207 43.6392C38.4804 45.4046 41.5197 45.4046 43.5794 43.6392L66.3731 24.1017C66.6292 23.8822 66.9169 23.7236 67.2185 23.6245C66.49 22.639 65.3196 22 64 22H16Z" fill="#f7f7ff" />
            <path d="M68 29.2926L46.8334 47.4354C42.9012 50.8059 37.0989 50.8059 33.1668 47.4354L12 29.2925V54C12 56.2091 13.7909 58 16 58H64C66.2091 58 68 56.2091 68 54V29.2926Z" fill="#f7f7ff" />
          </svg>        
        </a>
        <a href="https://twitter.com/7dubDev">
          Link to twitter.
          <img src="/socials/twitter_logo.svg" alt="twitter logo" class="icon" />
        </a>
        <a href="https://github.com/matyas7dub">
          Link to GitHub.
          <img src="/socials/github_logo.svg" alt="github logo" class="icon" />
        </a>
        <a href="https://gitlab.com/7dub">
          Link to GitLab.
          <img src="/socials/gitlab_logo.svg" alt="gitlab logo" class="icon" />
        </a>

      </div>
    </div>
  </div>
</div>

<style>
  :root{
    --footerHeight: 7vh;
  }

  .footer {
    position: absolute;
    width: 100vw;
    display: flex;
    justify-content: center;
  }
  .footer > div {
    padding: 1vh;
    width: 80vw;
  }
  #footerBox {
    display: flex;
    flex-direction: row;
    width: 100%;
    position: relative;
    align-items: center;
    height: var(--footerHeight);
  }
  #footerLogo {
    height: var(--footerHeight);
    margin-right: 1.5vw;
  }
  .icon {
    height: calc(var(--footerHeight) * 0.45);
    margin-left: 2vw;
		opacity: 50%;
    transition-property: opacity, filter;
    transition-duration: 0.2s;
		filter: grayscale(100%);
  }
	.icon:hover {
		opacity: 100%;
		filter: grayscale(0%);
	}
  .biggerIcon {
    height: calc(var(--footerHeight) * 0.55);
  }
  .content {
    position: absolute;
    display: flex;
    flex-direction: row;
    align-items: center;
    padding-right: 1vw;
    font-family: "Raleway";
    font-size: 2.5vh;
    font-weight: 500;
    color: #f7f7ff;
  }
  .content > div {
    width: 17vw;
    margin-right: 2vw;
  }
  .footer > div > hr {
    position: relative;
    top: 0px;
    width: 80vw;
    background-color: #f0fff0;
    height: 1px;
    margin-bottom: 1vh;
    border-style: none;
    box-shadow: none;
  }
  a {
    font-size: 0px;
  }
</style>
